Subject: RE: draft-ietf-ipv6-node-requirements-01.txt

From: [email-masked]
Date: Wed, 18 Dec 2002 07:50:50 +0200

Hi Daniel,

I agree with you, one way to split it would be hosts and servers.
I have suggest this, but the WG wanted a very simple definition,
with no new terms.  Since host / server is not defined in earlier
documents, there is a terminology problems with earlier documents,
So the WG decided not to use such terms.

John

> -----Original Message-----
> From: ext Soohong Daniel Park [mailto:[email-masked]]
> Sent: 18 December, 2002 01:51
> To: Loughney John (NRC/Helsinki)
> Cc: [email-masked]
> Subject: RE: draft-ietf-ipv6-node-requirements-01.txt
> 
> 
> I am interested in home network of course using of IPv6.
> When I thought a definition of IPv6 node, I separated two kinds of
> nodes,
> one is "active IPv6 node" which need to communicate another node and
> bidirectional connection
> the other is "passive IPv6 node" which is just controlled not try to
> access another node and unidirectional connection
> As you said below, thermometer is only passive node, 
> therefore it is not
> need DNS resolving.
> IPv6 node is very very widely, then almost possibility must be
> considered not only PC or laptop...
> e.g.
> active IPv6 node : almost pc, laptop, PDA, hand-held devices, 
> passive IPv6 node : thermometer, lighting, washer, refrigerator, some
> kinds of home appliances
> 
> Daniel
> 
> 
> From: [email-masked] [mailto:[email-masked]] 
> Sent: Tuesday, December 17, 2002 10:09 PM
> To: [email-masked]
> Subject: RE: draft-ietf-ipv6-node-requirements-01.txt
> 
> 
> Hi Daniel,
> 
> > 4.5.5 "....Stateful Address Autoconfiguration MAY be 
> supported...." I 
> > am confusing "MAY" When above node is fail to obtain 
> stateless address
> 
> > autoconfiguration, if node didn't have Stateful AA function, it is 
> > impossible to make each own address. so I think "Should" is better.
> 
> In what cases will stateless address autoconfiguration fail? If it
> fails, there is always the possibility of setting addresses by user
> interaction (typing in the addresses).  Stateful is dependent upon
> DHCPv6, and users cannot depend that it will be implemented 
> everywhere,
> especially 
> since it is not a standard yet.
> 
> > 4.6.1
> > This section is more related mobileip, not general IPv6 node
> > requirement.
> 
> MobileIP is actually considered as part of IPv6, but I get your point.
> This I could move into the MIP section.
> 
> 
> > 5.2 "... Not all nodes will need to resolve addresses"
> > If yes, how can we obtain wanted address ? , basically we
> > don't memorize IPv6 address.
> 
> Some nodes will be servers only and only accept incoming requestions.
> Think of a thermometer with an IPv6 stack.  It will never need DNS.
> 
> > in addition, as 1.2, Desctiption of an IPv6 node is so 
> ambiguous. In 
> > this draft, almost requirement is for general node which is 
> pc, laptop
> 
> > and that kind of thing. But implemented IPv6 is not only 
> general node 
> > but also various devices (home appliance, tiny device and so on)
> > then you should write clear definition of IPv6 node.
> > Since this requirement will be referred to implement widely, 
> > all section must be clear.
> 
> It is ambiguous for a reason, as an IPv6 node is anything with an IPv6
> stack - cell phone, laptop, server, IPv6 thermometer (yes, 
> someone makes
> one already) or any embedded device.  If you have a better suggestion
> for 
> a definition, I would be happy to review it.
> 
> John
> 
> > 
> > Daniel
> > 
> >              
> > =====================================
> >      Soohong Daniel Park
> >      Junior Researcher
> >      Mobile Platform Group
> >      Digital Media R&D Center
> >      Samsung Electronics Co.,LTD
> > 
> >      TEL:+82-31-200-3728
> >      FAX:+82-31-200-3147
> >      H.P:+82-11-9950-4655
> >      mailto:[email-masked] 
> > =====================================
> > 
> > 
> 
> 

--------------------------------------------------------------------
IETF IPng Working Group Mailing List
IPng Home Page:                      http://playground.sun.com/ipng
FTP archive:                      ftp://playground.sun.com/pub/ipng
Direct all administrative requests to [email-masked]
--------------------------------------------------------------------